gtk issues on 2.0.3 install

General support for problems installing or using Deluge
slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

gtk issues on 2.0.3 install

Postby slvrdragn » Thu Jun 27, 2019 12:43 am

So i had to rebuild my server and installed 2.0.3 from 1.3.15 prior so the configs all seem to have upgraded ok.
opensuse leap15.1 py3.6

The issue is, when I try and run deluge-gtk, i get the below.
installing from pip or rpm isn't making a difference, I get the same issue.
Gobject introspection is installed, so I'm at a loss. Any suggestions would be appreciated.

The error is below.
server6:~ # dg
Traceback (most recent call last):
File "/usr/bin/deluge-gtk", line 11, in <module>
load_entry_point('deluge==2.0.3', 'gui_scripts', 'deluge-gtk')()
File "/usr/lib/python3.6/site-packages/deluge/ui/gtk3/__init__.py", line 63, in start
Gtk().start()
File "/usr/lib/python3.6/site-packages/deluge/ui/gtk3/__init__.py", line 43, in start
from .gtkui import GtkUI
File "/usr/lib/python3.6/site-packages/deluge/ui/gtk3/gtkui.py", line 27, in <module>
from twisted.internet import defer, gtk3reactor
File "/usr/lib64/python3.6/site-packages/twisted/internet/gtk3reactor.py", line 26, in <module>
from twisted.internet import gireactor
File "/usr/lib64/python3.6/site-packages/twisted/internet/gireactor.py", line 78, in <module>
import gi.pygtkcompat
ModuleNotFoundError: No module named 'gi.pygtkcompat'

Cas
Top Bloke
Top Bloke
Posts: 3643
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: gtk issues on 2.0.3 install

Postby Cas » Fri Jun 28, 2019 10:27 am

If you have server then you usually don't have a UI so wouldn't use deluge-gtk but if you do then you need to install GTK3.

https://deluge.readthedocs.io/en/latest ... stall.html

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: gtk issues on 2.0.3 install

Postby slvrdragn » Fri Jun 28, 2019 7:02 pm

For some of the plugins I was using, i used X11 forwarding + gtk app to manage them on windows with Xming. Not *needed* except for the plugins.
Though, they are moot now, while I wait to upgrade.

Checking if that's already there.

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: gtk issues on 2.0.3 install

Postby slvrdragn » Fri Jun 28, 2019 7:07 pm

So its installed (as far as I can tell from zypper) but I still get the same message.

| gtk3 | The GTK+ toolkit library (version 3) | srcpackage
i | gtk3-branding-openSUSE | The GTK+ toolkit library (version 3) -- openSUSE theme configuration | package
| gtk3-branding-upstream | Upstream theme configuration for the GTK+ toolkit library v3 | package
i | gtk3-data | Data files for the GTK+ toolkit library v3 | package
i+ | gtk3-devel | Development files for the GTK+ toolkit library v3 | package

Cas
Top Bloke
Top Bloke
Posts: 3643
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: gtk issues on 2.0.3 install

Postby Cas » Fri Jun 28, 2019 11:16 pm

So this looks like a packaging problem on opensuse, in their infinite widson they deleted pygtkcompat from python3-gobject package which breaks twisted.

Perhaps try install with pip3 https://pypi.org/project/PyGObject/

Cas
Top Bloke
Top Bloke
Posts: 3643
Joined: Mon Dec 07, 2009 6:04 am
Location: Scotland

Re: gtk issues on 2.0.3 install

Postby Cas » Thu Jul 04, 2019 10:16 am

Can you see if python3-gobject-pygtkcompat is available and fixes this?

slvrdragn
Member
Member
Posts: 36
Joined: Tue Dec 12, 2017 4:50 pm

Re: gtk issues on 2.0.3 install

Postby slvrdragn » Thu Jul 04, 2019 7:32 pm

So it seems I don't get a package like that.
I did some digging and it was reported as a bug and a patch issued, trying to figure out if i should have it or not.

https://bugzilla.suse.com/show_bug.cgi?id=1110669

User avatar
vonProteus
New User
New User
Posts: 4
Joined: Mon Apr 20, 2020 2:48 pm

Re: gtk issues on 2.0.3 install

Postby vonProteus » Mon Apr 20, 2020 2:57 pm

have similar problem on OSX 10.15.4 when trying to run

Code: Select all

Sarah:~ proteus$ deluge
Traceback (most recent call last):
  File "/usr/local/bin/deluge", line 8, in <module>
    sys.exit(start_ui())
  File "/usr/local/lib/python3.7/site-packages/deluge/ui/ui_entry.py", line 143, in start_ui
    ui.start()
  File "/usr/local/lib/python3.7/site-packages/deluge/ui/gtk3/__init__.py", line 43, in start
    from .gtkui import GtkUI
  File "/usr/local/lib/python3.7/site-packages/deluge/ui/gtk3/gtkui.py", line 19, in <module>
    import gi  # isort:skip (Required before Gtk import).
ModuleNotFoundError: No module named 'gi'


but week ago it work fine
do we have some workaround?

User avatar
vonProteus
New User
New User
Posts: 4
Joined: Mon Apr 20, 2020 2:48 pm

Re: gtk issues on 2.0.3 install

Postby vonProteus » Fri Apr 24, 2020 5:37 pm

nevermind

Code: Select all

vonProteus@Sarah ~ % export PKG_CONFIG_PATH="/usr/local/opt/libffi/lib/pkgconfig"
vonProteus@Sarah ~ % pip3 install PyGObject

it helped


Return to “Support”

Who is online

Users browsing this forum: No registered users and 13 guests